summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2018-12-04 13:56:13 -0500
committerJoseph Hunkeler <jhunkeler@gmail.com>2018-12-04 13:56:13 -0500
commit4f35c93fdebe4b06cfa4a50e79d510ae1729a704 (patch)
tree2cb4cb2ee1abdf53554d5668e51f96fa2070800c /build.sh
downloaddocker-python-4f35c93fdebe4b06cfa4a50e79d510ae1729a704.tar.gz
Initial commit
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..2f1fa49
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+PROJECT=python
+PYTHON_VERSION="${1}"
+if [[ -z ${PYTHON_VERSION} ]]; then
+ echo "Need a fully qualified Python version to build. [e.g. 3.7.1]"
+ exit 1
+fi
+
+docker build -t ${PROJECT}:${PYTHON_VERSION} --build-arg PYTHON_VERSION=${PYTHON_VERSION} .